PowerMac G5 logic board interchangeability

Discussion in 'PowerPC Macs' started by mikiotty, Dec 2, 2015.

  1. mikiotty macrumors 6502

    mikiotty

    Joined:
    Mar 15, 2014
    Location:
    Rome, Italy
    #1
    Hi everyone!
    This has been probably answered before, but I couldn't find satisfying informations.
    Could a logic board from a June 2004 Dual 2.0GHz PowerMac G5 work with the Dual 2.7GHz CPUs from an Early 2005 one?
    I have a spare Dual 2.0GHz logic board and the one in this Dual 2.7GHz is probably dead. I'd like to put my spare one in that Mac.
    Thank you!
     
  2. LightBulbFun macrumors 6502a

    LightBulbFun

    Joined:
    Nov 17, 2013
    Location:
    London UK
    #2
    the 2.7Ghz G5 CPUs require a early 05 Logic board the 2004 Logic board is only compatible with up to 2.5Ghz CPUs (it also has an older boot rom) I would check the LCS on those 2.7Ghz CPUs make sure they are not leaking...
     
  3. flyproductions macrumors newbie

    flyproductions

    Joined:
    Jan 17, 2014
    #3
    ...and not even those are really "compatible". I once tried some 2.0 Ghz CPU with an 1.8 single logicboard. The machine booted up nice with ASP showing the 2.0 Ghz. But Service Diagnostic stated "wrong CPU" complaining CPU-bus speed beeing 1000 Mhz while mobo only has 900. So i think real mobo/CPU interchangeability for the G5 towers is close to zero.
     
  4. LightBulbFun macrumors 6502a

    LightBulbFun

    Joined:
    Nov 17, 2013
    Location:
    London UK
    #4
    a Single 1.8Ghz G5 with a socketed CPU would be a 7,2 PowerMac... we where talking about 2 7,3s here I have both a Dual 2Ghz 7,3 and a dual 2.7Ghz 7,3 the 2Ghz one is a 04 and only supports a Max bus speed of 1.25Ghz and has a Lower open firmware revision (5.1.8 IIRC) my Dual 2.7Ghz has a 1.35Ghz FSB and a Newer Open firmware revision of 5.2.4 IIRC. I already has @Surrat check the FSB of a single 7,2 1.8Ghz for me and indeed it said 900Mhz was the max. one last thing is some 2ghz 04s shipped with 970 CPUs and others had 970FXs mine has plane 970s I can even run a 10.2.8 on that G5 but it falls over loading the kernel on my 2.7Ghz G5 so their is defo a difference between em weather its the Newer boot rom or CPUs on my 2.7 that cause 10.2.8 to die when booting on it I am not sure since I Do not own a 04 with 970FXs for me to test it on
     

Share This Page